<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.batch.mapper.KuaishouPopulationMapper">
    <insert id="replaceBatch">
        replace into ctop_kuaishou_population(
        account_id,
        orientation_id,
        orientation_name,
        type,
        population_type,
        record_size,
        match_size,
        cover_num,
        status,
        put_time,
        third_platform_code
        )
        values
        <foreach collection="addList" item="population" separator=",">
            (
            #{population.accountId},
            #{population.orientationId},
            #{population.orientationName},
            #{population.type},
            #{population.populationType},
            #{population.recordSize},
            #{population.matchSize},
            #{population.coverNum},
            #{population.status},
            #{population.putTime},
            #{population.thirdPlatformCode}
            )
        </foreach>
    </insert>
</mapper>